Package org.eclipse.ecf.remoteservice.eventadmin

# Class EventMessage

java.lang.Object
org.eclipse.ecf.remoteservice.eventadmin.EventMessage

All Implemented Interfaces:
  `Serializable`

public class EventMessage extends Object implements Serializable

Since:
  1.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EventMessage(String topic, Map properties)`
`EventMessage(org.osgi.service.event.Event event)`
`EventMessage(org.osgi.service.event.Event event, SerializationHandler serializationHandler)`

## Method Summary

Modifier and Type
Method
Description
`protected org.osgi.service.event.Event`
`createLocalEvent()`
`protected Map`
`createPropertiesFromEvent(org.osgi.service.event.Event event)`
`org.osgi.service.event.Event`
`getEvent()`
`protected Map`
`getProperties()`
`protected String`
`getTopic()`
`void`
`setSerializationHandler(SerializationHandler serializationHandler)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EventMessage

public EventMessage(org.osgi.service.event.Event event) throws NotSerializableException

Throws:
  `NotSerializableException`

### EventMessage

public EventMessage(org.osgi.service.event.Event event, SerializationHandler serializationHandler) throws NotSerializableException

Parameters:
  `event` - event
  `serializationHandler` - serialization handler
Throws:
  `NotSerializableException` - if event can't be serialized
Since:
  1.2

### EventMessage

public EventMessage(String topic, Map properties)

## Method Details

### createPropertiesFromEvent

protected Map createPropertiesFromEvent(org.osgi.service.event.Event event) throws NotSerializableException

Throws:
  `NotSerializableException`

### getTopic

protected String getTopic()

### getProperties

protected Map getProperties()

### createLocalEvent

protected org.osgi.service.event.Event createLocalEvent()

### getEvent

public org.osgi.service.event.Event getEvent()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setSerializationHandler

public void setSerializationHandler(SerializationHandler serializationHandler)

Parameters:
  `serializationHandler` - serialization handler
Since:
  1.2